/**本脚本为自动生成，每次生成会覆盖！请勿手动修改，生成插件文档及项目地址：https://git.whoot.com/whoot-games/whoot.fguieditorplugin**/

using FairyGUI;
using FairyGUI.Utils;
using NBC;
using System.Collections.Generic;

namespace NBF
{
    /// <summary>  </summary>
    public partial class ChatTestPanel
    {
        public GObject this[string aKey] => ContentPane.GetChild(aKey);
        public override string UIPackName => "Main";
        public override string UIResName => "ChatTestPanel";

        [AutoFind(Name = "back")]
        public GImage back;
        [AutoFind(Name = "InputMessage")]
        public GLabel InputMessage;
        [AutoFind(Name = "BtnSendMessage")]
        public GButton BtnSendMessage;
        [AutoFind(Name = "BtnSendFriend")]
        public GButton BtnSendFriend;
        [AutoFind(Name = "BtnSendWorld")]
        public GButton BtnSendWorld;
        [AutoFind(Name = "ChatList")]
        public GList ChatList;
        [AutoFind(Name = "InputFriendId")]
        public GLabel InputFriendId;
        public override string[] GetDependPackages(){ return new string[] {"Common","CommonNew"}; }

        public static void Show(object param = null){ UI.Inst.OpenUI<ChatTestPanel>(param); }

        public static void Hide(){ UI.Inst.HideUI<ChatTestPanel>(); }

        public static void Del(){ UI.Inst.DestroyUI<ChatTestPanel>(); }

    }
}